/*
 * Copyright 2015-2016 aquenos GmbH.
 * All rights reserved.
 * 
 * Please refer to the file NOTICE.txt in the root of the source distribution or
 * in the META-INF directory of the binary archive for licensing information.
 */

package com.aquenos.epics.jackie.common.exception;

/**
 * Error handler that simply does nothing. This error handler can be used when
 * an error handler is required by library code but errors should not be logged
 * at all.
 * 
 * @author Sebastian Marsching
 */
public class NullErrorHandler implements ErrorHandler {

    /**
     * Default constructor. This constructor does not do anything because this
     * class does not have any state.
     */
    public NullErrorHandler() {
    }

    @Override
    public void handleError(Class<?> context, Throwable e, String description) {
        // This error handler intentionally does nothing.
    }

}
